Как обновить drush в drupal/recommended-project?

Аватар пользователя VasyOK VasyOK 22 сентября в 18:25

Попробовал разные варианты для "домашней" разработки на docker4drupal:
1. https://github.com/drupal-composer/drupal-project
2. https://github.com/drupal/recommended-project

Во 2м варианте обратил внимание, что там стоит 8-я версия drush. А в 1м 10я. Как обновить drush?

Лучший ответ

Аватар пользователя gun_dose gun_dose 22 сентября в 19:54

Если у тебя восьмой драш, то просто
composer require drush/drush

Комментарии

Аватар пользователя Punk_UnDeaD Punk_UnDeaD 22 сентября в 18:30

как, насяльнека?

это пакет в композере и он версионируется, как и другие пакеты
меняешь версию, запускаешь обновления, если они есть и они не конфликтуют, они установятся

Аватар пользователя VasyOK VasyOK 23 сентября в 13:13

Спасибо, помогло. А почему в рекомендованном проекте drush не самый свежий?

Аватар пользователя gun_dose gun_dose 23 сентября в 14:29

А его там тупо нет вообще)) У тебя используется тот, что в контейнер wodby/drupal установлен. А установить в систему глобально драш можно только до 8 версии. Вот и вся история.